#!/usr/bin/python2

## system-config-soundcard.py - Contains the startup script for system-config-soundcard
## Copyright (C) 2002, 2003 Red Hat, Inc.
## Copyright (C) 2002, 2003 Brent Fox <bfox@redhat.com>
## Copyright (C) 2002, 2003 Brock Organ <borgan@redhat.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import signal
import sys
import soundcardBackend

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)

soundcardBackend.options()

##
## I18N
## 
from rhpl.translate import _, N_
import rhpl.translate as translate
translate.textdomain ("system-config-soundcard")

# only run if an X server is available
#try:
import gtk
import soundcard
#except:
#    print (_("system-config-soundcard requires a currently running X server."))
#    sys.exit(0)

app = soundcard.childWindow()
app.stand_alone()
